Get AI monitoring detail for a brand
Get detailed analytics for a single AI Search Watcher monitor — how often the brand is mentioned across the configured AI models and prompts, citation sources returned by the models, and visibility changes over time.
Query parameters:
models— comma-separated model IDs to include (pass0for an all-models overview)from,to— date range for the returned metrics (YYYY-MM-DD)
Authorization
ApiKeyAuth x-access-token<token>
API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.
In: header
Path Parameters
id*string
Monitor ID
Query Parameters
models?string
Comma-separated model IDs (0 means all models overview)
from?string
Start date for data range
Format
dateto?string
End date for data range
Format
dateResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.mangools.com/v3/aiwatcher/monitor/string"{
"monitor": {
"_id": "string",
"brand": "string",
"domain": "string",
"perception": "string",
"perceptionModelId": 0,
"location_id": 0,
"language_id": 0,
"platform_id": 0,
"models": [
0
],
"location": {
"id": 0,
"name": "string",
"label": "string",
"code": "string",
"type": "string"
},
"monitoring_state": "active"
},
"isCompleted": true,
"hasPendingChanges": true,
"dateRange": {
"from": "string",
"to": "string"
},
"filters": {
"models": [
0
]
},
"metrics": {
"score": {
"value": 0,
"change": 0
},
"visibility": {
"value": 0,
"change": 0
},
"position": {
"value": 0,
"change": 0
},
"bestPerforming": {
"modelId": 0,
"currentValue": 0,
"change": 0
},
"bestVisibility": {
"modelId": 0,
"currentValue": 0,
"change": 0
},
"mostCited": {
"modelId": 0,
"currentValue": 0,
"change": 0
}
},
"timeSeries": [
{
"date": "string",
"score": 0,
"visibility": 0,
"position": 0
}
],
"rankings": {
"brands": [
{
"brand": "string",
"isMatch": true,
"rank": 0,
"avgScore": 0,
"avgVisibility": 0,
"avgPosition": 0,
"frequency": 0,
"rankChange": 0,
"scoreChange": 0,
"visibilityChange": 0,
"positionChange": 0,
"frequencyChange": 0,
"brandVariations": [
"string"
],
"isPlaceholder": true,
"timeSeries": [
{
"date": "string",
"score": 0,
"visibility": 0,
"position": 0,
"rank": 0
}
]
}
],
"prompts": [
{
"prompt_id": "string",
"text": "string",
"rank": 0,
"avgScore": 0,
"avgVisibility": 0,
"avgPosition": 0,
"aio": {
"hasAio": true
},
"rankChange": 0,
"scoreChange": 0,
"visibilityChange": 0,
"positionChange": 0,
"frequencyChange": 0
}
],
"domains": [
{
"domain": "string",
"url": "string",
"title": "string",
"hit": true,
"frequency": 0,
"rank": 0,
"avgScore": 0,
"avgVisibility": 0,
"avgPosition": 0,
"rankChange": 0,
"positionChange": 0,
"frequencyChange": 0,
"isPlaceholder": true
}
]
},
"availableDates": [
"string"
],
"brand_perception_display": true,
"score_label_display": true,
"performance_cards_display": true,
"performance_summary_display": true,
"brand_perception_feedback_given": true,
"performance_summary_feedback_given": true
}{
"error": {
"type": "AuthError",
"message": "Invalid API Key"
}
}{
"error": {
"type": "ValidationError",
"message": "Your request is invalid",
"errors": [
"Your request is invalid"
]
}
}{
"error": {
"type": "Error",
"message": "Internal server error"
}
}